osg::State::ApplyTextureModeProxy Struct Reference

`#include <State>`

## Public Member Functions

| ApplyTextureModeProxy (osg::State &state, unsigned int unit, GLenum mode, bool value)
| ~ApplyTextureModeProxy ()

## Public Attributes

osg::State & | _state
unsigned int | _unit
GLenum | _mode
bool | _previous_value
bool | _need_to_apply_value

## Constructor & Destructor Documentation

## ApplyTextureModeProxy()

osg::State::ApplyTextureModeProxy::ApplyTextureModeProxy | ( | osg::State & | state,
|  | unsigned int | unit,
|  | GLenum | mode,
|  | bool | value )

inline

References _mode, _need_to_apply_value, _previous_value, _state, and _unit.

## ~ApplyTextureModeProxy()

osg::State::ApplyTextureModeProxy::~ApplyTextureModeProxy | ( |  | ) |

inline

References _mode, _need_to_apply_value, _previous_value, _state, and _unit.

## Member Data Documentation

## _mode

GLenum osg::State::ApplyTextureModeProxy::_mode

Referenced by ApplyTextureModeProxy(), and ~ApplyTextureModeProxy().

## _need_to_apply_value

bool osg::State::ApplyTextureModeProxy::_need_to_apply_value

Referenced by ApplyTextureModeProxy(), and ~ApplyTextureModeProxy().

## _previous_value

bool osg::State::ApplyTextureModeProxy::_previous_value

Referenced by ApplyTextureModeProxy(), and ~ApplyTextureModeProxy().

## _state

osg::State& osg::State::ApplyTextureModeProxy::_state

Referenced by ApplyTextureModeProxy(), and ~ApplyTextureModeProxy().

## _unit

unsigned int osg::State::ApplyTextureModeProxy::_unit

Referenced by ApplyTextureModeProxy(), and ~ApplyTextureModeProxy().

The documentation for this struct was generated from the following file:

- State